### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
MCAmericanPathEngine< RNG > Class Template Reference
Basket option engines

least-square Monte Carlo engine More...

`#include <ql/experimental/mcbasket/mcamericanpathengine.hpp>`

Inheritance diagram for MCAmericanPathEngine< RNG >:
[legend]

List of all members.

## Public Member Functions

| MCAmericanPathEngine (const boost::shared_ptr< StochasticProcessArray > &, Size timeSteps, Size timeStepsPerYear, bool brownianBridge, bool antitheticVariate, bool controlVariate, Size requiredSamples, Real requiredTolerance, Size maxSamples, BigNatural seed, Size nCalibrationSamples=Null< Size >())

## Protected Member Functions

boost::shared_ptr < LongstaffSchwartzMultiPathPricer > | lsmPathPricer () const

## Detailed Description

### template<class RNG = PseudoRandom>
class QuantLib::MCAmericanPathEngine< RNG >

least-square Monte Carlo engine

Warning:
  This method is intrinsically weak for out-of-the-money options.